package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 文件类型信息
 * 表名 : t_file_type
 * </pre>
 * @author: Mybatis Generator
 */
public class FileType {
    /**
     * <pre>
     * id
     * 表字段 : t_file_type.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 文件类型编号
     * 表字段 : t_file_type.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_file_type.product_code
     * </pre>
     */
    private String productCode;

    /**
     * <pre>
     * 业务类型：1.额度 2.提款 3.增额
     * 表字段 : t_file_type.type
     * </pre>
     */
    private Short type;

    /**
     * <pre>
     * 是否必填: 0：非必填，1：必填
     * 表字段 : t_file_type.required
     * </pre>
     */
    private Short required;

    /**
     * <pre>
     * 类型名称
     * 表字段 : t_file_type.name
     * </pre>
     */
    private String name;

    /**
     * <pre>
     * 序号
     * 表字段 : t_file_type.number
     * </pre>
     */
    private Short number;

    /**
     * <pre>
     * 备注
     * 表字段 : t_file_type.remark
     * </pre>
     */
    private String remark;

    /**
     * <pre>
     * id
     * 表字段 : t_file_type.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_file_type.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 文件类型编号
     * 表字段 : t_file_type.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 文件类型编号
     * 表字段 : t_file_type.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_file_type.product_code
     * </pre>
     */
    public String getProductCode() {
        return productCode;
    }

    /**
     * <pre>
     * 产品编号
     * 表字段 : t_file_type.product_code
     * </pre>
     */
    public void setProductCode(String productCode) {
        this.productCode = productCode == null ? null : productCode.trim();
    }

    /**
     * <pre>
     * 业务类型：1.额度 2.提款 3.增额
     * 表字段 : t_file_type.type
     * </pre>
     */
    public Short getType() {
        return type;
    }

    /**
     * <pre>
     * 业务类型：1.额度 2.提款 3.增额
     * 表字段 : t_file_type.type
     * </pre>
     */
    public void setType(Short type) {
        this.type = type;
    }

    /**
     * <pre>
     * 是否必填: 0：非必填，1：必填
     * 表字段 : t_file_type.required
     * </pre>
     */
    public Short getRequired() {
        return required;
    }

    /**
     * <pre>
     * 是否必填: 0：非必填，1：必填
     * 表字段 : t_file_type.required
     * </pre>
     */
    public void setRequired(Short required) {
        this.required = required;
    }

    /**
     * <pre>
     * 类型名称
     * 表字段 : t_file_type.name
     * </pre>
     */
    public String getName() {
        return name;
    }

    /**
     * <pre>
     * 类型名称
     * 表字段 : t_file_type.name
     * </pre>
     */
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    /**
     * <pre>
     * 序号
     * 表字段 : t_file_type.number
     * </pre>
     */
    public Short getNumber() {
        return number;
    }

    /**
     * <pre>
     * 序号
     * 表字段 : t_file_type.number
     * </pre>
     */
    public void setNumber(Short number) {
        this.number = number;
    }

    /**
     * <pre>
     * 备注
     * 表字段 : t_file_type.remark
     * </pre>
     */
    public String getRemark() {
        return remark;
    }

    /**
     * <pre>
     * 备注
     * 表字段 : t_file_type.remark
     * </pre>
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}